Matomo / Piwik-Error in WordPress

Matomo (vormals Piwik) ist ein Messtool für Webseiten, um zu analyiseren, welche Webseiten am häufigsten besucht werden und ein großes Interesse auslösen. Im Gegensatz zu Google Analytics ist es möglich, dieses Tool auch auf einer eigenen Plattform zu betreiben und somit die Datenweitergabe an Dritte zu unterbinden. Zur Funktion in WordPress gibt es dafür zum Beispiel das Plugin „WP-Matomo„. Leider kann es in einigen Installationen seit einiger Zeit einen Fehler geben:

WP-Matomo 1.0.22 was not able to connect to Matomo using your configuration. Check the »Connect to Matomo« section below.

Fehlermeldung von WP-Matomo / WP-Piwik in WordPress

Ich habe auch lange suchen müssen, um die Lösung zu finden. Es scheint so zu sein, als ob durch ein Update in Matomo das Plugin nicht mehr richtig arbeitet. Eine dauerhafte Lösung dazu habe ich noch nicht gefunden, jedoch habe ich durch einen Zufall festgestellt, dass die API-Key-Erkennung von Matomo nicht mehr richtig funktioniert.

Dadurch kann das Plugin auch nicht mehr auf Matomo zugreifen und es kommt zur obigen Fehlermeldung. Tatsächlich wird der Key dann für eine gewisse Zeit gesperrt. Matomo versucht fehlerhafte Anmeldungen zu erkennen und blockiert dann die IP-Adresse, von der der fehlerhafte Login kommt. Damit sollen „Passwort-Erraten“-Möglichkeiten vermieden werden. Das Fachwort für ein solche ausprobieren nennt sich „Brutforce“:

Um das Plugin trotzdem wieder nutzen zu können, geht man in das Matomo-Interface, geht in die Einstellungen -> System -> Allgemeine Einstellungen und stellt dort „Brutforce“ aus. Dann solte das Plugin und Matomo wieder zusammenarbeiten. Der Nachteil ist: eine wichtige Funktion gegen das Passwort erraten wird damit deaktiviert.

IP-Adresse-Freigabe funktioniert nicht

Ich habe auch versucht, einfach die IP-Adressen des Webservers freizuschalten, aber leider hat das nicht funktioniert. Evtl. lässt sich das in einer späteren Version wieder zurückstellen und das Zusammenspiel von Matomo und dem Plugin wieder aktivieren.

Meine nicht-funktionierende Kombination

Ich nutze das WP-Matomo-Plugin in der Version 1.0.22 und Matomo in der Version 3.13.1. Wer eine neuere Version von beiden Skripten nutzt, könnte das Glück haben, dass es funktioniert.

Was sind Eure Erfahrungen? Habt ihr den gleichen Fehler? Hat der Tipp geklappt? Schreibt es mir gerne in die Kommentare.